﻿
/*============= GLOBAL STYLES FOR THE GW SERVICES WEBSITE LAYOUT ============*/

/*
    This stylesheet contains Layout, Size and Positioning information
    It does not contain Colors, Fonts, or other Theme-related information
    It controls the layout of elements on the page, but not the look and feel
*/

/*================================ PAGE BODY ================================*/

html, body {
    height: 100%; /* Allows the page to be stretched to the browser viewport height */
}

body {
    margin: 0px;
    padding: 0px;
}

p {
    margin-top: 0px;
    margin-bottom: 15px;
}

/*============================== HEADER ELEMENTS ============================*/

/* .header1, .header2, .header3, .header4 classes shadow their respective h1, h2, h3, h4 tags */

h1, h2, h3, h4, h5, th.header,
.header1, .header2, .header3, .header4 {
    margin: 0px;
}

h1, .header1 {
    margin-bottom: 6px;
}

h2, .header2 {
    margin-bottom: 4px;
}

h3, .header3 {
}

h4, .header4 {
}

h5 {
}

th {
}

.header1, .header2, .header3, .header4 {
    font-weight: bold;
}

/*================================== IMAGES =================================*/

img {
    border: 0px; /* Prevent older browsers from putting borders around images */
}

img.floatRight {
    float: right;
    margin: 5px 0px 5px 15px;
}

img.floatLeft {
    float: left;
    margin: 5px 15px 5px 0px;
}

img.sectionIcon {
    float: right;
    margin: 6px 0px 0px 15px;
    height: 24px;
}

div.sectionSpacer 
{
    float: left;
    margin: 3px 15px 0px 0px;
    width: 36px;
    height: 20px;
}

/*============================== PAGE LAYOUT ================================*/

/* The page wrapper surrounds all of the page except the footer 
   It includes everything within the margin created by the body background color */

#pageWrap {
    width: 100%;
    min-width: 500px;
    margin-left: auto;
    margin-right: auto;
}

/* The wrapper contains all content between the top menu and the footer */

#wrapper {
   width: auto; 
   
}


/*============================== PAGE HEADER ================================*/

/*  Banner  */

#header {
    padding: 0px 10px 7px 10px;
    overflow: hidden;
}

.bannerMain 
{
    padding-top: 6px;
    float: left;
}

.bannerRight 
{
    padding-top: 6px;
    float: right;
    clear: right;
}

.topmessage
{
    display: inline-block;
    width: 207px;
    padding: 2px 20px 2px 20px;
    margin-top: 20px;
    float: right;
    color: #FF0000;
    text-align: center;
    font-weight: bold;
}

/* Top Navigation Skip Link */

#skiplink, .skiplink
{
    position: absolute;
    left: -2000;
    width: 1px;
    height: 1px;
    overflow: hidden;
    font-size: 8px;
}

/*  Top Naviation Menu Bar */

#navBar {
    padding-top: 2px;
    padding-bottom: 0px;
    text-align: left;
    clear: both;
}

/*  Secondary Information Bar 
    Below the top menu bar, this provides the breadcrumbs, username, and admin links */

#theBar {
    clear: none;
    padding: 5px 0px 2px 0px;
    height: 13px;
    margin: 0px 10px;
}

#breadCrumbs 
{
    clear: none;
    float: left;
}

#adminArea {
    clear: none;
    float: right;
}

/* By default, the admin tools are hidden. Based on roles, they are programmically made visible */

#adminAreaLogin 
{
    display: none;
}

#divPageTitle
{
    margin: 0px 10px;
    clear: both;
}

#divPageTitle h1 {
    height: 27px; 
    padding-top: 5px;
    margin-right: auto;
    margin-left: auto;
}

/*========================= OPTIONAL LAYOUT AREAS ===========================*/

/*  Seconadry Navigation Bar
    This menu is placed on the left sidebar for additional navigation  */
    
#secondNav {
    float: left;
    margin: 0px;
    padding: 6px 0px 10px 0px;
    background-color:#f3f3f3;  
    overflow:auto;
}

/* No Second Nav */

#secondNav.config0 {
    width: 0px;
    max-width: 0px;
    padding: 0px;
}

/* Narrow Second Nav */

#secondNav.config1 {
    width: 134px;
    max-width: 134px;
    min-width: 134px;
    padding-right: 5px;
}

/* Wide Second Nav */

#secondNav.config2 {
    width: 204px;
    max-width: 204px;
    min-width: 204px;
    padding-right: 5px;
}

/* Second Nav Links */

#secondNav a:link, #secondNav a:visited {
}

#secondNav a:hover, #secondNav a:focus {
}

#secondNav a:active {
}

/*============================== PAGE CONTENT ===============================*/

/* Wrapper class for everything below the top navigation menu, not including the secodnary navigation */

#content {
    clear: none;
    padding: 0px;
}

/* Wrapper class for the main ContentArea */

#content-inner {
    padding: 5px 10px 10px 10px;
    min-height: 150px; /* Minimum height for the page -- must match javascript variable in MasterGeneric */
    overflow: auto;
}

#content.config1 div,
#content.config2 div {
    clear: none;
}

/* No Second Nav */

#content.config0 {
}

/* Narrow Second Nav */

#content.config1 {
    margin-left: 140px;
}

/* Wide Second Nav */

#content.config2 {
    margin-left: 210px;
}


/*================================ FOOTER ===================================*/

/* The footer is the only element below #pageWrap, by default it assumes the body background */

#footer 
{
    text-align: center;
    padding: 5px 10px;
    clear: both;
    min-height: 16px;
}